j2sdk and alsa

John jwpierce at secure-tunnel.com
Wed Apr 21 21:43:42 PDT 2004


>is there a patch that fixes the sanity check for j2sdk when
>it checks for alsa. The book list alsa 1.0.4 as a
>requirement however j2sdk doesnt accept that version. I'm
>sure this request is somewhere in the mailing list however
>the search for the 2 keywords only brings up monthly
>archives.
>  
>
What is the error?

I have alsa-1.0.3 installed and don't have any problems.
______________________________________________________
I fixed the above problem by editing a file under j2se
somewhere.
However I am having another compile problem. The error:

../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:20:
error: multiple
   types in one declaration
../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:22:
error: conflicting
   types for `struct JavaPluginInstance5'
../../../src/plugin/oji-plugin/src/motif/navig5/JavaVM5.h:14:
error: previous
   declaration as `struct JavaPluginInstance5'
../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:22:
error: parse
   error before `,' token
../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:29:
error: destructors
   must be member functions
../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:29:
error: virtual
   outside class declaration
../../../src/plugin/oji-plugin/src/motif/navig5/JavaPluginInstance5.h:31:
confused by earlier errors, bailing out
make[4]: ***
[/mnt/lfs/blfs/programming/java/control/build/linux-i586/tmp/plugin/javaplugin_oji/obj/GetFactory5.o]
Error 1
make[4]: Leaving directory
`/mnt/lfs/blfs/programming/java/deploy/make/plugin/ns6'
make[3]: *** [optimized] Error 2
make[3]: Leaving directory
`/mnt/lfs/blfs/programming/java/deploy/make/plugin/ns6'
make[2]: *** [ns6] Error 2
make[2]: Leaving directory
`/mnt/lfs/blfs/programming/java/deploy/make/plugin'
make[1]: *** [plugin-all] Error 2
make[1]: Leaving directory
`/mnt/lfs/blfs/programming/java/deploy/make'
make: *** [deploy-build] Error 2

---------------------------------------------------------------------------

And I have also a file that is called sanitycheckerrors.txt:

---------------------------------------------------------------------------

ERROR: There is no GNU CC compiler at the location: 
          /usr/bin/ 
 
ERROR: There is no zip file at the location: 
       zip 
 
INSANE mode requested. 
 Sanity will not force a build termination, even with
errors.
 
ERROR: There is no GNU CC compiler at the location: 
          /usr/bin/ 
 
ERROR: There is no zip file at the location: 
       zip 
 
ERROR: There is no GNU CC compiler at the location: 
          /usr/bin/ 
 
ERROR: You do not have a valid GCC32_COMPILER_PATH setting. 
  Please check your access to 
  /java/devtools/linux/gcc3.2/ 
  and/or check your value of ALT_GCC32_COMPILER_PATH. 
  This will affect you if you build the plugin target. 
 
ERROR: You do not have access to valid Mozilla header files.
       Please check your access to 
           /mozilla_headers/bool.h 
       and/or check your value of ALT_MOZILLA_PATH,
ALT_MOZILLA_HEADERS_PATH, 
       and on Windows, ALT_MOZILLA_DRIVE. 


There is no truth to not having a cc because it is there.

Please help

Tnx, john



More information about the blfs-support mailing list